### Method

# Vips Image bandunfold

#### Declaration [src]

    int
    vips_bandunfold (
      VipsImage* in,
      VipsImage** out,
      ...
    )

#### Description [src]

Unfold image bands into x axis. Use `factor` to set how much to unfold by: `factor` 3, for example, will make the output image three times wider than the input, and with one third as many bands. By default, all bands are unfolded.

Optional arguments

- `factor`: `gint`, unfold by this factor

See also

`vips_csvload()`, `vips_bandfold()`.

This method is not directly available to language bindings.

#### Parameters

`out`

  Type: `VipsImage`

  Output image.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`...`

  Type: ``

  `NULL`-terminated list of optional named arguments.

#### Return value

Type: `int`

0 on success, -1 on error.